Module ij
Package ij.plugin

# Class RoiReader

java.lang.Object
ij.plugin.RoiReader

All Implemented Interfaces:
  `PlugIn`

public class RoiReader extends Object implements PlugIn
Opens ImageJ, NIH Image and Scion Image for windows ROI outlines. RoiDecoder.java has a description of the file format.

See Also:
  - `RoiDecoder`
  - `RoiWriter`

## Constructor Summary

Constructors
Constructor
Description
`RoiReader()`

## Method Summary

Modifier and Type
Method
Description
`void`
`openRoi(String dir, String name)`
`void`
`run(String arg)`
This method is called when the plugin is loaded.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RoiReader

public RoiReader()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### openRoi

public void openRoi(String dir, String name) throws IOException

Throws:
  `IOException`